/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */
:root {
    --ifm-color-primary: #1e0095;
    --ifm-color-primary-dark: #180077;
    --ifm-color-primary-darker: #150068;
    --ifm-color-primary-darkest: #0f004b;
    --ifm-color-primary-light: #351aa0;
    --ifm-color-primary-lighter: #4b33aa;
    --ifm-color-primary-lightest: #624db5;
    --ifm-code-font-size: 95%;
    --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.1);
}

/* For readability concerns, you should choose a lighter palette in dark mode. */
[data-theme='dark'] {
    --ifm-color-primary: #0066db;
    --ifm-color-primary-dark: #0052af;
    --ifm-color-primary-darker: #003d83;
    --ifm-color-primary-darkest: #002958;
    --ifm-color-primary-light: #1a75df;
    --ifm-color-primary-lighter: #3385e2;
    --ifm-color-primary-lightest: #4d94e6;
    --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.3);
    --ifm-color-background: rgba(0, 0, 0, 0.91);
}

.landing-page {
    display: none;
}

/* Yasgui */

@media only screen and (min-width: 1024px) {
    div#yasgui {
        margin-right: calc(-200px + 1rem);
    }
}

.yasqe .CodeMirror,
.yasr table {
    resize: auto;
}

span.nonIri {
    text-wrap: pretty;
}
